public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:multilib-eapi6 commit in: eclass/
Date: Sun,  6 Dec 2015 17:56:02 +0000 (UTC)	[thread overview]
Message-ID: <1449424483.b1d0814a5ee3d353a80b47f47f20bdf0db44c75e.mgorny@gentoo> (raw)

commit:     b1d0814a5ee3d353a80b47f47f20bdf0db44c75e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  6 15:22:48 2015 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec  6 17:54:43 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1d0814a

multilib-build.eclass: Ban deprecated functions in EAPI 6

 eclass/multilib-build.eclass | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index 8a3ac7f..49bebf3 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -246,6 +246,8 @@ multilib_parallel_foreach_abi() {
 multilib_for_best_abi() {
 	debug-print-function ${FUNCNAME} "${@}"
 
+	[[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}, use multilib_is_native_abi() instead"
+
 	eqawarn "QA warning: multilib_for_best_abi() function is deprecated and should"
 	eqawarn "not be used. The multilib_is_native_abi() check may be used instead."
 
@@ -580,6 +582,8 @@ multilib_is_native_abi() {
 multilib_build_binaries() {
 	debug-print-function ${FUNCNAME} "${@}"
 
+	[[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}, use multilib_is_native_abi() instead"
+
 	eqawarn "QA warning: multilib_build_binaries is deprecated. Please use the equivalent"
 	eqawarn "multilib_is_native_abi function instead."
 


             reply	other threads:[~2015-12-06 17:56 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-06 17:56 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-12-06 17:56 [gentoo-commits] repo/gentoo:multilib-eapi6 commit in: eclass/ Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:56 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 17:19 Michał Górny
2015-12-06 16:15 [gentoo-commits] repo/gentoo:master " Michał Górny
2015-12-06 17:19 ` [gentoo-commits] repo/gentoo:multilib-eapi6 " Michał Górny
2015-12-06 15:41 Michał Górny
2015-12-06 15:34 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1449424483.b1d0814a5ee3d353a80b47f47f20bdf0db44c75e.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox